Subject: Re: [saag] AD Sponsorship of draft-housley-ers-asn1-modules

From: Roman Danyliw <[email-masked]>
Date: Fri, 9 Jul 2021 20:31:31 +0000

Hi Tobias and Sean!

Thank you so much for your reviews.

Regards,
Roman

> -----Original Message-----
> From: [email-masked] <[email-masked]>
> Sent: Sunday, June 20, 2021 4:26 AM
> To: 'Sean Turner' <[email-masked]>; Roman Danyliw <[email-masked]>
> Cc: [email-masked]
> Subject: RE: [saag] AD Sponsorship of draft-housley-ers-asn1-modules
> 
> I took a review/look at this update as well.
> It has been a while since I last worked on ERS, so am a bit rusty...
> But reviewed and no problems as far as I can tell.
> 
> Best regards, Tobias
> 
> 
> -----Original Message-----
> From: saag <[email-masked]> On Behalf Of Sean Turner
> Sent: Wednesday, June 9, 2021 11:04 PM
> To: Roman Danyliw <[email-masked]>
> Cc: [email-masked]
> Subject: Re: [saag] AD Sponsorship of draft-housley-ers-asn1-modules
> 
> Roman,
> 
> I have but one point to raise and then some cosmetic nits (cosmetic because
> compilers ignore whitespace).
> 
> 0) Point to Raise:
> 
> re: AllWantBacks. I am not entirely sure whether what is there for swb-ers-all
> WANT-BACK merely defines the new value or whether it also adds it to the list
> of available AllWantBacks.  AllWantBacks is imported from RFC
> 5912:
> 
> AllWantBacks WANT-BACK ::= {
>      WantBackSet | ACertWantBackSet | AnyWantBackSet, ...
>  }
> 
> To add swb-ers-all to the list, I wonder whether merely defining it is enough. Is
> there something more that needs to be done to get it into the list as the fourth
> option?
> 
> 1) Cosmetic Nits:
> 
> Header:
> 
> s/New ASN.1 Modules for the Evidence Recor /New ASN.1 Modules for the
> Evidence Record
> 
> s2 (remove space, add space):
> 
> s/{ v1(1) } ,/{ v1(1) },
> s/AttributeSet{{ERSAttrSet}}/AttributeSet {{ERSAttrSet}}
> 
> s3:
> 
> Since the ExpandedWantBacks are All, New, and ERS might consider
> reorganizing them in the ASN to match that pattern.
> 
> s (fix indention of evidence record)/
> EvidenceRecordWantBack ::= SEQUENCE {
>   targetWantBack  WANT-BACK.&id ({ExpandedWantBacks}),
>     evidenceRecord EvidenceRecord OPTIONAL } / EvidenceRecordWantBack ::=
> SEQUENCE {
>   targetWantBack  WANT-BACK.&id ({ExpandedWantBacks}),
>   evidenceRecord EvidenceRecord OPTIONAL }
> 
> s/{id-swb 16 }/{ id-swb 16 }
> s/{id-swb 17 }/{ id-swb 17 }
> s/{id-swb 18 }/{ id-swb 18 }
> s/{id-swb 19 }/{ id-swb 19 }
> s/{id-swb 20 }/{ id-swb 20 }
> 
> > On May 14, 2021, at 16:45, Roman Danyliw <[email-masked]> wrote:
> >
> > Hi!
> >
> > Per the community interest and dispatch result at IETF 110 [1], I am
> > AD
> sponsoring draft-housley-ers-asn1-modules [2].
> >
> > I welcome early feedback or reviews on this document.
> >
> > Regards,
> > Roman
> >
> > [1] https://datatracker.ietf.org/doc/minutes-110-secdispatch/
> > [2] https://datatracker.ietf.org/doc/draft-housley-ers-asn1-modules/
> >
> > _______________________________________________
> > saag mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/saag
> 
> _______________________________________________
> saag mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/saag